# eric4.Preferences.ConfigurationPages.InterfacePage

Module implementing the Interface configuration page.

### Global Attributes

None

### Classes

InterfacePage | Class implementing the Interface configuration page.

### Functions

create | Module function to create the configuration page.

## InterfacePage

Class implementing the Interface configuration page.

### Derived from

ConfigurationPageBase, Ui_InterfacePage

### Class Attributes

None

### Class Methods

None

### Methods

InterfacePage | Constructor
__populateLanguageCombo | Private method to initialize the language combobox of the Interface configuration page.
__populateStyleCombo | Private method to populate the style combo box.
on_resetLayoutButton_clicked | Private method to reset layout to factory defaults
on_stderrTextColourButton_clicked | Private slot to set the foreground colour of the caret.
on_styleSheetButton_clicked | Private method to select the style sheet file via a dialog.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### InterfacePage (Constructor)

InterfacePage()

Constructor

#### InterfacePage.__populateLanguageCombo

__populateLanguageCombo()

Private method to initialize the language combobox of the Interface configuration page.

#### InterfacePage.__populateStyleCombo

__populateStyleCombo()

Private method to populate the style combo box.

#### InterfacePage.on_resetLayoutButton_clicked

on_resetLayoutButton_clicked()

Private method to reset layout to factory defaults

#### InterfacePage.on_stderrTextColourButton_clicked

on_stderrTextColourButton_clicked()

Private slot to set the foreground colour of the caret.

#### InterfacePage.on_styleSheetButton_clicked

on_styleSheetButton_clicked()

Private method to select the style sheet file via a dialog.

#### InterfacePage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up